/**
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include "libxml.h"
#include <libxml/xmlerror.h>
#include <libxml/valid.h>
#include <string.h>
#define BUFFER_SIZE 64

int main(void) {
  char buf[BUFFER_SIZE];
  xmlElementContent content;
  content.type = XML_ELEMENT_CONTENT_ELEMENT;
  content.prefix =
      (const xmlChar *)"123456789012345678901234567890123456789012345678901234";
  content.name =
      (const xmlChar *)"123456789012345678901234567890123456789012345678901234";
  content.ocur = XML_ELEMENT_CONTENT_PLUS;
  content.c1 = NULL;
  content.c2 = NULL;
  content.parent = NULL;
  memset(buf, 0, BUFFER_SIZE);
  xmlSnprintfElementContent(buf, BUFFER_SIZE, &content, 1);
  return EXIT_SUCCESS;
}
